Page MenuHomePhabricator

blocked user should not be allowed to edit abuse filters
Closed, ResolvedPublic

Description

For a blocked sysop it is still possible to edit an abuse filter, normal edit is not possible, so the abuse filter should also not possible to edit.

This is about Special:Abusefilter

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2016, 3:16 PM
Schniggendiller renamed this task from blocked user should not alow to edit abuse filters to blocked user should not allow to edit abuse filters.Aug 8 2016, 10:02 PM
Schniggendiller added a subscriber: Schniggendiller.
FriedhelmW renamed this task from blocked user should not allow to edit abuse filters to blocked user should not be allowed to edit abuse filters.Aug 11 2016, 4:47 PM
FriedhelmW added a subscriber: FriedhelmW.

Change 347048 had a related patch set (by Matěj Suchánek) published:
[mediawiki/extensions/AbuseFilter@master] Disallow editing abuse filters for blocked users

https://gerrit.wikimedia.org/r/347048

Change 347048 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Disallow editing abuse filters for blocked users

https://gerrit.wikimedia.org/r/347048

matej_suchanek closed this task as Resolved.Apr 28 2017, 8:17 AM
matej_suchanek removed a project: Patch-For-Review.